## serendipity 1.5.3

=== debian/changelog ===
serendipity (1.5.3-2) unstable; urgency=high

  * Fix XSS security issue made public 20100909. (Closes: #594905)
    [CVE-2010-2957]

 -- Jean-Marc Roth <jmroth@iip.lu>  Mon, 30 Aug 2010 17:10:04 +0200

serendipity (1.5.3-1) unstable; urgency=medium

  * New upstream release.
    + Unrestricted file upload vulnerability in s9y before 1.5
    (CVE-2009-4412, Closes: #562634)
    + Use debian libjs-yui instead of bundled lib.
    (CVE-2007-2385, Closes: #557746)
    + Addresses XSS problem. (CVE-2008-1385)
  * Fix postgres errors (Closes: #519713) 
  * Linking to debian-packaged PEAR libraries. (Closes: #541740)
  * Making package more compatible for (manual) multisite behavior.
    (Closes: #579144)
  * Packaging: debhelper v7.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Fonts already in Debian: now depending on ttf-dejavu-core and
    ttf-aenigma for spamblock fonts.

 -- Jean-Marc Roth <jmroth@iip.lu>  Mon, 10 May 2010 15:58:25 +0200

serendipity (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Checked for policy 3.8.0, add README.source, refer to central
    copy of Apache 2 licence.
  * Remove other permissions from dirs under /var, and make
    uploads dir group readable, so that upload subdirs can be
    managed. Thanks Ingo Jürgensmann (closes: #502954).
  * Add note on 'nobody@example.org' appearing in RSS feed
    (closes: #502243).
  * Override embedded-javascript-library warning, since what we
    include in the package is not duplicated code.
  * Remove PHP4-related dependencies.
  * Minor packaging cleanups.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 17 Feb 2009 00:40:23 +0100

serendipity (1.3.1-1) unstable; urgency=medium

  * New upstream release.
    + Addressess two less critical cross site scripting issues:
      CVE-2008-1385, CVE-2008-1386

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 23 Apr 2008 12:01:21 +0200

serendipity (1.3-1) unstable; urgency=high

  * New upstream release.
    + Addresses cross site scripting in published trackback.
      CVE-2008-1476

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 18 Mar 2008 20:18:42 +0100

serendipity (1.3~b1-1) unstable; urgency=medium

  * New upstream beta release.
  * Addresses cross site scripting between authenticated users on a multi-
    user blog (CVE-2008-0124, closes: #469667).
  * Default Apache AllowOverride setting to "All", to make URL rewriting
    without mod_rewrite work out of the box.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 10 Mar 2008 17:02:51 +0100

serendipity (1.2.1-2) unstable; urgency=low

  * Switch from ttf-bitstream to ttf-dejavu in spamblock plugin
    (Closes: #461290).
  * Make enabling of url rewriting work from within Serendipity'
    configuration interface (Closes: #448782).
  * Switch to debhelper version 6.

 -- Thijs Kinkhorst <thijs@debian.org>  Sat, 19 Jan 2008 19:38:52 +0100

serendipity (1.2.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes CVE-2007-6205: XSS through OPML RSS feeds.
  * Packaging cleanups (remove cruft, checked for new policy, ...)

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 09 Dec 2007 10:26:09 +0100

serendipity (1.2-1) unstable; urgency=low

  * New upstream release.
  * Supports sqlite3, so enable that in dbconfig-common aswell.

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 27 Aug 2007 20:45:15 +0200

serendipity (1.1.4-1) unstable; urgency=high

  * New upstream release.
    Fixes security issue in Extended properties for entries plugin,
    relevant for users of that plugin only.
  * Add watch file.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 08 Aug 2007 13:32:15 +0200

serendipity (1.1.3-1) unstable; urgency=high

  * New upstream release.
  * Addresses an SQL injection through the commentMode variable.
    This only allowed disclosure of MD5 password hashes.
  * Drop some very long keys from the SQL files, since these cause
    "too long key" problems with recent MySQL versions
    (Closes: #425380).

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 19 Jun 2007 14:25:30 +0200

serendipity (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Improves SQL error handling to address non-issue CVE-2007-1326.
  * Add symlink to SQL schemata under /usr/share/doc/serendipity.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 10 Apr 2007 16:12:08 +0200

serendipity (1.0.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Addresses security problem in unsupported configuration, however,
      uploading with medium priority to protect even those with unwise
      settings (CVE-2006-6242, closes: 401614).
  * In default apache.conf, DirectoryMatch should be Directory.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue, 28 Nov 2006 13:45:42 +0100

serendipity (1.0.3-4) unstable; urgency=low

  * Add note to README.Debian about register_globals and it needing
    to be off.
  * Enclose php_flag statements in apache.conf in <IfModule>s.
  * Correct serendipity_config_local.php for PostgreSQL when setting
    a port number. Document that Serendipity does not currently support
    running with a PostgreSQL on a non-default port number.

 -- Thijs Kinkhorst <thijs@debian.org>  Wed, 22 Nov 2006 21:20:28 +0100

serendipity (1.0.3-3) unstable; urgency=medium

  * Properly support a remote database with dbconfig-common,
    thanks Ingo Jürgensmann (Closes: 397884).

 -- Thijs Kinkhorst <thijs@debian.org>  Fri, 10 Nov 2006 15:23:52 +0100

serendipity (1.0.3-2) unstable; urgency=low

  * Got permission from upstream to free the "36 days ago" and "Chumbly"
    fonts; reincluding them in the package.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue,  7 Nov 2006 17:17:12 +0100

serendipity (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Replace bundled CheckIP.php with link to Debian packaged one.

 -- Thijs Kinkhorst <thijs@debian.org>  Tue,  7 Nov 2006 13:50:13 +0100

serendipity (1.0.2-1) unstable; urgency=medium

  * Medium urgency upload for low-risk security issue.
  * New upstream bugfix release.

