=== debian/control ===
Source: serendipity
Section: web
Priority: optional
Maintainer: Jean-Marc Roth <jmroth@iip.lu>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.s9y.org/
Vcs-Svn: https://svn.kinkhorst.nl/svn/debian/serendipity/trunk
Vcs-Browser: https://aphrodite.kinkhorst.nl/wsvn/debian/serendipity/

Package: serendipity
Architecture: all
Depends: apache2 | httpd,
 libapache2-mod-php5 | php5 | php5-cgi, php5-mysql | php5-pgsql | php5-sqlite,
 dbconfig-common, mysql-client | postgresql-client | sqlite, smarty,
 php-pear, php-cache-lite, php-http-request, php-net-socket, php-net-url, php-net-checkip,
# php-net-dnsbl, php-onyxrss, php-text-wiki, php-xml-rpc,
 php5-gd, ttf-aenigma, libjs-yui, ttf-dejavu-core,
 ucf, ${misc:Depends}
Recommends: imagemagick
Description: Weblog manager with extensive theming and plugin support
 Serendipity (s9y) is a weblog application which gives the user an easy
 way to maintain an online diary, weblog or a complete homepage.
 .
 It has extensive plugin and theming, support for multiple authors,
 threaded comments, multiple categories and spam blocking. It's written
 in PHP and supports the SQLite, PostgreSQL, MySQL and MySQLi databases.
