=== debian/watch ===
# Site		Directory		Pattern			Version	Script
version=3
http://sf.net/php-blog/serendipity-(\d+\.\d+\.[^-]+)\.tar\.gz
